Monitor Vendor Change
The monitor vendor change resource.
Base/monitorVendorChange
GET
/monitorVendorChangeList monitor vendor changes
Retrieve a paginated list of monitor vendor changes. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/monitorVendorChange
curl --request GET \
--url '<your-host>/monitorVendorChange?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"monitorVendorDeviceId": "xyz789",
"scope": "string",
"previousValue": "string",
"nextValue": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/monitorVendorChangeRetrieve a monitor vendor change
Fetch a single monitor vendor change by filtering on `id`.
Query parameters
idstringMatch on the monitor vendor change's `id`, e.g. `eq.{id}`.
GET/monitorVendorChange
curl --request GET \
--url '<your-host>/monitorVendorChange?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"monitorVendorDeviceId": "xyz789",
"scope": "string",
"previousValue": "string",
"nextValue": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/monitorVendorChangeCreate a monitor vendor change
Create a new monitor vendor change.
Body parameters
monitorVendorDeviceIdstringrequiredscopestringrequiredpreviousValueobjectrequirednextValueobjectrequiredstatusstringrequiredaddressRevisionstringvendorRevisionstringlastErrorstringPOST/monitorVendorChange
curl --request POST \
--url <your-host>/monitorVendorChange \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"monitorVendorDeviceId":"xyz789","scope":"string","previousValue":"string","nextValue":"string","status":"string"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"monitorVendorDeviceId": "xyz789",
"scope": "string",
"previousValue": "string",
"nextValue": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/monitorVendorChangeUpdate a monitor vendor change
Update an existing monitor vendor change, matched on `id`.
Body parameters
monitorVendorDeviceIdstringrequiredscopestringrequiredpreviousValueobjectrequirednextValueobjectrequiredstatusstringrequiredaddressRevisionstringvendorRevisionstringlastErrorstringPATCH/monitorVendorChange
curl --request PATCH \
--url '<your-host>/monitorVendorChange?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"monitorVendorDeviceId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"monitorVendorDeviceId": "xyz789",
"scope": "string",
"previousValue": "string",
"nextValue": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/monitorVendorChangeDelete a monitor vendor change
Delete a monitor vendor change, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the monitor vendor change to delete, e.g. `eq.{id}`.
DELETE/monitorVendorChange
curl --request DELETE \
--url '<your-host>/monitorVendorChange?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content